[arch-commits] Commit in grub2-efi-x86_64/repos/extra-any (4 files)

Ronald van Haren ronald at archlinux.org
Sat Mar 17 04:39:54 EDT 2012


    Date: Saturday, March 17, 2012 @ 04:39:53
  Author: ronald
Revision: 153649

archrelease: copy trunk to extra-any

Added:
  grub2-efi-x86_64/repos/extra-any/PKGBUILD
    (from rev 153648, grub2-efi-x86_64/trunk/PKGBUILD)
  grub2-efi-x86_64/repos/extra-any/grub_extras_lua_args_fix.patch
    (from rev 153648, grub2-efi-x86_64/trunk/grub_extras_lua_args_fix.patch)
Deleted:
  grub2-efi-x86_64/repos/extra-any/PKGBUILD
  grub2-efi-x86_64/repos/extra-any/grub2_automake_1.11.2_pkglib_to_pkgdata.patch

-----------------------------------------------+
 PKGBUILD                                      |  219 +++++++++++-------------
 grub2_automake_1.11.2_pkglib_to_pkgdata.patch |  134 --------------
 grub_extras_lua_args_fix.patch                |   13 +
 3 files changed, 120 insertions(+), 246 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2012-03-17 08:39:34 UTC (rev 153648)
+++ PKGBUILD	2012-03-17 08:39:53 UTC (rev 153649)
@@ -1,112 +0,0 @@
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
-# Contributor: Keshav P R <(the.ridikulus.rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
-
-## This PKGBUILD has the same structure as the main grub2 split PKGBUILD for grub2-common, grub2-bios and grub2-efi-i386 .
-
-_grub2_rev="3750"
-
-_grub2_lua_ver="20"
-_grub2_gpxe_ver="12"
-
-pkgname="grub2-efi-x86_64"
-pkgver='1.99'
-pkgrel=3
-epoch=1
-pkgdesc="The GNU GRand Unified Bootloader version 2 - x86_64 UEFI version"
-url="http://www.gnu.org/software/grub/"
-arch=('any')
-license=('GPL3')
-
-makedepends=('xz' 'python2' 'autogen' 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse')
-depends=("grub2-common=${epoch}:${pkgver}" 'dosfstools' 'efibootmgr' 'sh')
-optdepends=('mtools: for manipulating FAT fs image files')
-
-options=('!strip' '!emptydirs')
-
-# source=("ftp://ftp.gnu.org/gnu/grub/grub-${pkgver}.tar.xz"
-source=("ftp://ftp.archlinux.org/other/grub2/grub2_r${_grub2_rev}.tar.xz"
-        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_lua_r${_grub2_lua_ver}.tar.xz"
-        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_gpxe_r${_grub2_gpxe_ver}.tar.xz"
-        'grub2_automake_1.11.2_pkglib_to_pkgdata.patch')
-
-noextract=("grub2_extras_lua_r${_grub2_lua_ver}.tar.xz"
-           "grub2_extras_gpxe_r${_grub2_gpxe_ver}.tar.xz")
-
-sha1sums=('3fab3260a11756f2cfc39f13279a2a633b814d31'
-          '9f2dbf7a3faab24ca92266400aa513fecd3895c8'
-          'b04994c005910b4bf123f034b30109d5c8d6fd86'
-          'e149c8f14a74a9c367852a1615e68758f2c71d29')
-
-build() {
-
-	if [[ "${CARCH}" == 'i686' ]]; then
-		echo "This package can be built only in a x86_64 system. Exiting."
-		exit 1
-	fi
-
-	cd "${srcdir}/grub-${pkgver}"
-
-	## Fix automake 1.11.2 autogen.sh pkglib_DATA and pkglib_SCRIPTS error
-	patch -Np1 -i "${srcdir}/grub2_automake_1.11.2_pkglib_to_pkgdata.patch"
-
-	## add grub-extras
-	export GRUB_CONTRIB="${srcdir}/grub-${pkgver}/grub2-extras/" 
-	install -d "${srcdir}/grub-${pkgver}/grub2-extras"
-
-	bsdtar xf "${srcdir}/grub2_extras_lua_r${_grub2_lua_ver}.tar.xz" \
-		-C "${srcdir}/grub-${pkgver}/grub2-extras"
-
-	bsdtar xf "${srcdir}/grub2_extras_gpxe_r${_grub2_gpxe_ver}.tar.xz" \
-		-C "${srcdir}/grub-${pkgver}/grub2-extras"
-
-	## The below step is not required as the script now executes with python3, hence makedepends change from python2 to python pkg
-	## Seems like python2 is required again - as on 04-JAN-2012 - grub2 bzr mainline rev 3732
-	## Need to use python2
-	sed 's|python |python2 |g' -i "${srcdir}/grub-${pkgver}/autogen.sh"
-	echo
-
-	## start the actual build process
-	cd "${srcdir}/grub-${pkgver}/"
-	./autogen.sh
-	echo
-
-	CFLAGS="" ./configure \
-		--with-platform="efi" \
-		--target="x86_64" \
-		--host="${CARCH}-unknown-linux-gnu" \
-		--disable-efiemu \
-		--enable-mm-debug \
-		--enable-nls \
-		--enable-device-mapper \
-		--enable-cache-stats \
-		--enable-grub-mkfont \
-		--enable-grub-mount \
-		--prefix="/usr" \
-		--bindir="/usr/bin" \
-		--sbindir="/usr/sbin" \
-		--mandir="/usr/share/man" \
-		--infodir="/usr/share/info" \
-		--datadir="/usr/lib" \
-		--datarootdir="/usr/share" \
-		--sysconfdir="/etc" \
-		--program-prefix=""
-	echo
-
-	CFLAGS="" make
-	echo
-
-}
-
-package() {
-
-	cd "${srcdir}/grub-${pkgver}"
-	make DESTDIR="${pkgdir}/" install 
-	echo
-
-	## remove non platform-specific files
-	rm -rf "${pkgdir}"/{boot,etc,usr/{share,bin,sbin}}
-	rm -f "${pkgdir}/usr/lib/grub"/{grub-mkconfig_lib,update-grub_lib}
-	rm -f "${pkgdir}/usr/lib/grub"/{ascii,euro,unicode}.pf2
-	rm -f "${pkgdir}/usr/lib/grub"/{ascii,widthspec}.h
-
-}

Copied: grub2-efi-x86_64/repos/extra-any/PKGBUILD (from rev 153648, grub2-efi-x86_64/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2012-03-17 08:39:53 UTC (rev 153649)
@@ -0,0 +1,107 @@
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Keshav P R <(the.ridikulus.rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+_grub_bzr_rev="4169"
+_pkgver="2.00~beta2"
+
+_grub_lua_ver="23"
+_grub_gpxe_ver="12"
+
+pkgname="grub2-efi-x86_64"
+pkgver="2.00beta2"
+pkgrel="1"
+epoch="1"
+pkgdesc="The GNU GRand Unified Bootloader version 2 - x86_64 UEFI version"
+url="http://www.gnu.org/software/grub/"
+arch=('any')
+license=('GPL3')
+
+makedepends=('xz' 'python' 'autogen' 'texinfo' 'help2man' 'gettext' 'device-mapper' 'fuse')
+depends=("grub2-common=${epoch}:${pkgver}" 'dosfstools' 'efibootmgr')
+
+options=('!strip' '!emptydirs')
+
+# source=("ftp://ftp.archlinux.org/other/grub2/grub_r${_grub_bzr_rev}.tar.xz"
+source=("http://alpha.gnu.org/gnu/grub/grub-${_pkgver}".tar.xz
+        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
+        "ftp://ftp.archlinux.org/other/grub2/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz"
+        'grub_extras_lua_args_fix.patch')
+
+noextract=("grub2_extras_lua_r${_grub_lua_ver}.tar.xz"
+           "grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz")
+
+sha1sums=('2ba583f9466fb676b0ae3d7a9a82d1299b153a98'
+          'a09a4cbfd2f23699028ecd09c397bdc1bebf16aa'
+          'b04994c005910b4bf123f034b30109d5c8d6fd86'
+          'f7d4014d71aa2e693c57920b504f64bc792217ef')
+
+build() {
+
+	if [[ "${CARCH}" == 'i686' ]]; then
+		echo "This package can be built only in a x86_64 system. Exiting."
+		exit 1
+	fi
+
+	cd "${srcdir}/grub-${_pkgver}"
+
+	## add grub-extras
+	export GRUB_CONTRIB="${srcdir}/grub-${_pkgver}/grub-extras/" 
+	install -d "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	bsdtar xf "${srcdir}/grub2_extras_lua_r${_grub_lua_ver}.tar.xz" \
+		-C "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	bsdtar xf "${srcdir}/grub2_extras_gpxe_r${_grub_gpxe_ver}.tar.xz" \
+		-C "${srcdir}/grub-${_pkgver}/grub-extras"
+
+	## Fix args lua grub-extras
+	patch -Np1 -i "${srcdir}/grub_extras_lua_args_fix.patch"
+
+	## Requires python2
+	# sed 's|python |python2 |g' -i "${srcdir}/grub-${_pkgver}/autogen.sh"
+
+	## start the actual build process
+	cd "${srcdir}/grub-${_pkgver}/"
+	./autogen.sh
+
+	CFLAGS="" ./configure \
+		--with-platform="efi" \
+		--target="x86_64" \
+		--host="${CARCH}-unknown-linux-gnu" \
+		--disable-efiemu \
+		--enable-mm-debug \
+		--enable-nls \
+		--enable-device-mapper \
+		--enable-cache-stats \
+		--enable-grub-mkfont \
+		--enable-grub-mount \
+		--prefix="/usr" \
+		--bindir="/usr/bin" \
+		--sbindir="/usr/sbin" \
+		--mandir="/usr/share/man" \
+		--infodir="/usr/share/info" \
+		--datarootdir="/usr/share" \
+		--sysconfdir="/etc" \
+		--program-prefix="" \
+		--with-bootdir="/boot" \
+		--with-grubdir="grub" \
+		--disable-werror
+
+	CFLAGS="" make
+
+}
+
+package() {
+
+	cd "${srcdir}/grub-${_pkgver}"
+	make DESTDIR="${pkgdir}/" install 
+
+	## remove non platform-specific files
+	rm -rf "${pkgdir}"/{boot,etc,usr/{share,bin,sbin}}
+
+	## remove gdb debugging related files
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.module || true
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/*.image || true
+	rm -f "${pkgdir}/usr/lib/grub/x86_64-efi"/{kernel.exec,gdb_grub,gmodule.pl} || true
+
+}

Deleted: grub2_automake_1.11.2_pkglib_to_pkgdata.patch
===================================================================
--- grub2_automake_1.11.2_pkglib_to_pkgdata.patch	2012-03-17 08:39:34 UTC (rev 153648)
+++ grub2_automake_1.11.2_pkglib_to_pkgdata.patch	2012-03-17 08:39:53 UTC (rev 153649)
@@ -1,134 +0,0 @@
-diff --git a/ChangeLog_Keshav b/ChangeLog_Keshav
-new file mode 100644
-index 0000000..0eafd65
---- /dev/null
-+++ b/ChangeLog_Keshav
-@@ -0,0 +1,12 @@
-+2012-01-04  Keshav P R  <the.ridikulus.rat at gmail.com>
-+
-+	Fixes for automake 1.11.2
-+
-+	* conf/Makefile.common: Change pkglib_SCRIPTS to pkgdata_SCRIPTS.
-+	* conf/Makefile.common: Change pkglib_DATA to pkgdata_DATA.
-+	* Makefile.am: Likewise.
-+	* gentpl.py: Likewise.
-+	* util/grub-mkstandalone.in: Likewise.
-+	* util/grub-mknetdir.in: Likewise.
-+	* util/grub-mkrescue.in: Likewise.
-+	* util/grub-mkstandalone.in: Likewise.
-diff --git a/Makefile.am b/Makefile.am
-index c5f486e..395b0dd 100644
---- a/Makefile.am
-+++ b/Makefile.am
-@@ -101,8 +101,8 @@ CLEANFILES += widthspec.h
- # Install config.h into platformdir
- platform_HEADERS = config.h
- 
--pkglib_DATA += grub-mkconfig_lib
--pkglib_DATA += update-grub_lib
-+pkgdata_DATA += grub-mkconfig_lib
-+pkgdata_DATA += update-grub_lib
- 
- 
- if COND_i386_coreboot
-diff --git a/conf/Makefile.common b/conf/Makefile.common
-index 751188b..bbd59cc 100644
---- a/conf/Makefile.common
-+++ b/conf/Makefile.common
-@@ -137,7 +137,7 @@ KERNEL_HEADER_FILES =
- 
- man_MANS =
- noinst_DATA =
--pkglib_DATA =
-+pkgdata_DATA =
- bin_SCRIPTS =
- sbin_SCRIPTS =
- bin_PROGRAMS =
-@@ -147,7 +147,7 @@ check_SCRIPTS =
- grubconf_DATA =
- check_PROGRAMS =
- noinst_SCRIPTS =
--pkglib_SCRIPTS =
-+pkgdata_SCRIPTS =
- noinst_PROGRAMS =
- grubconf_SCRIPTS =
- noinst_LIBRARIES =
-diff --git a/gentpl.py b/gentpl.py
-index 3008b80..a935f4d 100644
---- a/gentpl.py
-+++ b/gentpl.py
-@@ -512,7 +512,7 @@ def script(platform):
-     r += "[+ ENDIF +]"
- 
-     r += rule("[+ name +]", platform_sources(platform) + " $(top_builddir)/config.status", """
--$(top_builddir)/config.status --file=-:$< | sed -e 's, at pkglib_DATA@,$(pkglib_DATA),g' > $@
-+$(top_builddir)/config.status --file=-:$< | sed -e 's, at pkgdata_DATA@,$(pkgdata_DATA),g' > $@
- chmod a+x [+ name +]
- """)
- 
-diff --git a/util/grub-mknetdir.in b/util/grub-mknetdir.in
-index e5a2172..7f6a36d 100644
---- a/util/grub-mknetdir.in
-+++ b/util/grub-mknetdir.in
-@@ -30,7 +30,7 @@ PACKAGE_VERSION=@PACKAGE_VERSION@
- host_os=@host_os@
- localedir=@datadir@/locale
- datarootdir=@datarootdir@
--pkglib_DATA="moddep.lst command.lst fs.lst partmap.lst parttool.lst handler.lst video.lst crypto.lst terminal.lst"
-+pkgdata_DATA="moddep.lst command.lst fs.lst partmap.lst parttool.lst handler.lst video.lst crypto.lst terminal.lst"
- 
- self=`basename $0`
- 
-@@ -183,7 +183,7 @@ process_input_dir ()
-             cp -f "$file" "$grubdir/"
-         fi
-     done
--    for file in ${pkglib_DATA}; do
-+    for file in ${pkgdata_DATA}; do
- 	if test -f "${input_dir}/${file}"; then
-             cp -f "${input_dir}/${file}" "$grubdir/"
- 	fi
-diff --git a/util/grub-mkrescue.in b/util/grub-mkrescue.in
-index eff7708..f6b96d4 100644
---- a/util/grub-mkrescue.in
-+++ b/util/grub-mkrescue.in
-@@ -27,7 +27,7 @@ libdir=@libdir@
- PACKAGE_NAME=@PACKAGE_NAME@
- PACKAGE_TARNAME=@PACKAGE_TARNAME@
- PACKAGE_VERSION=@PACKAGE_VERSION@
--pkglib_DATA="moddep.lst command.lst fs.lst partmap.lst parttool.lst handler.lst video.lst crypto.lst terminal.lst"
-+pkgdata_DATA="moddep.lst command.lst fs.lst partmap.lst parttool.lst handler.lst video.lst crypto.lst terminal.lst"
- 
- self=`basename $0`
- 
-@@ -163,7 +163,7 @@ process_input_dir ()
-             cp -f "$file" ${iso9660_dir}/boot/grub/${platform}/
-         fi
-     done
--    for file in ${pkglib_DATA}; do
-+    for file in ${pkgdata_DATA}; do
- 	if test -f "${input_dir}/${file}"; then
-             cp -f "${input_dir}/${file}" ${iso9660_dir}/boot/grub/${platform}/
- 	fi
-diff --git a/util/grub-mkstandalone.in b/util/grub-mkstandalone.in
-index b0dbf9b..92b7306 100644
---- a/util/grub-mkstandalone.in
-+++ b/util/grub-mkstandalone.in
-@@ -27,7 +27,7 @@ libdir=@libdir@
- PACKAGE_NAME=@PACKAGE_NAME@
- PACKAGE_TARNAME=@PACKAGE_TARNAME@
- PACKAGE_VERSION=@PACKAGE_VERSION@
--pkglib_DATA="moddep.lst command.lst fs.lst partmap.lst parttool.lst handler.lst video.lst crypto.lst terminal.lst"
-+pkgdata_DATA="moddep.lst command.lst fs.lst partmap.lst parttool.lst handler.lst video.lst crypto.lst terminal.lst"
- 
- self=`basename $0`
- 
-@@ -163,7 +163,7 @@ for file in "${source_directory}/"*.mod "${source_directory}/"efiemu32.o "${sour
-     fi
- done
- 
--for file in ${pkglib_DATA}; do
-+for file in ${pkgdata_DATA}; do
-     if test -f "${source_directory}/${file}"; then
-         cp -f "${source_directory}/${file}" "${memdisk_dir}"/boot/grub/
-     fi

Copied: grub2-efi-x86_64/repos/extra-any/grub_extras_lua_args_fix.patch (from rev 153648, grub2-efi-x86_64/trunk/grub_extras_lua_args_fix.patch)
===================================================================
--- grub_extras_lua_args_fix.patch	                        (rev 0)
+++ grub_extras_lua_args_fix.patch	2012-03-17 08:39:53 UTC (rev 153649)
@@ -0,0 +1,13 @@
+diff --git a/grub-extras/lua/grub_lib.c b/grub-extras/lua/grub_lib.c
+index 9014320..055d620 100644
+--- a/grub-extras/lua/grub_lib.c
++++ b/grub-extras/lua/grub_lib.c
+@@ -466,7 +466,7 @@ grub_lua_add_menu (lua_State *state)
+       if (! p)
+ 	return push_result (state);
+ 
+-      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, p, 0);
++      grub_normal_add_menu_entry (n, args, NULL, NULL, NULL, NULL, NULL, p, 0);
+     }
+   else
+     {



More information about the arch-commits mailing list